org.apache.lucene.messages

## Interface NLSException

-     public interface NLSException

  Interface that exceptions should implement to support lazy loading of messages. For Native Language Support (NLS), system of software internationalization. This Interface should be implemented by all exceptions that require translation

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message` | `getMessageObject()`

- - ### Method Detail

    - #### getMessageObject

          Message getMessageObject()

      Returns:
        a instance of a class that implements the Message interface

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.